2019-12-14 00:22 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001401FSSCPFRED graphicspublic2007-11-22 05:05
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001401: Cursor.dds + System icon in FRED
DescriptionWell, I don't know if you can consider this a bug or a feature request...

While testing DaBrain's new WIP mediavps which have a cursor.dds in mv_core.vp>data\interface, I've seen that:

+ This cursor is rendered much bigger in FRED than FS2. It looks better in FS2.

+ You still see the system cursor over it. Moreover, cursor.dds does not leave map area. For example if you move your pointer over the menu or window title bars, you see two different cursors: the system one in your desired position and cursor.dds just below it but prisoned in the border of the mission map.

(The cursor just doesn't look well in FRED at all).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008113

taylor (administrator)

What build are you testing with. The reason that I ask is that HEAD CVS builds do something a bit differently with cursors than builds based on the stable tree do (such as my Xt builds). If this only happens with HEAD builds then that greatly narrows down where we need to look.

~0008115

ARSPR (reporter)

Just official 3.6.9. and even your Xt0520. I upload Cursor.dds also.

~0008116

ARSPR (reporter)

Ooops, I've just noticed that system cursor changes its form in several situations, so you shouldn't delete it. For example, if you move it over a ship it changes to a cross to tell you that you can drag it.

Maybe the best thing you can do is taking out cursor.dds support within FRED. Even if a bit uglier I prefer a fully dynamic mouse pointer.

~0008142

taylor (administrator)

And just to make sure that I get this right: it works perfectly with the standard game cursor, correct?


I'm going to try testing this out tonight/tomorrow, so I just want to be sure I'm going to be looking in the right place. One of the problems with the new cursor in the mediavps is that it's not a good size, being larger than 32x32, which is likely causing more problems than what I originally knew about. I've complained about it, but, it's still too big. :)

~0008144

ARSPR (reporter)

Summary ;-) :
-------------

In FS2: Cursor.dds works absolutely fine.

In FRED2:
+ System cursor, (the normal cursor you have in Windows), works absolutely fine. It changes its shape to show you available actions and so on.

+ Cursor.dds. It is just a "shadow" of the system one. This cursor is below the former one and it doesn't leave map area. As it doesn't change its shape, (you only have one bitmap), I think is by far less useful, (even being "prettier"). Please, remove its code support, (just in FRED of course).

~0008644

taylor (administrator)

Fixed with the strategic use of "Mouse_hidden = 1;".

It appears to be a fluke that this doesn't happen in retail too. It is simply unable to find the PCX version of the cursor at that point during init, so that little bug simply hides the problem. The DDS version loads fine so it demonstrates the bug.

~0008649

ARSPR (reporter)

Yep, I can confirm it's fixed in your Xt1115.

~0008683

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-05-23 17:55 ARSPR New Issue
2007-05-23 18:24 taylor Note Added: 0008113
2007-05-23 19:38 ARSPR Note Added: 0008115
2007-05-23 19:38 ARSPR File Added: cursor.dds
2007-05-23 20:49 ARSPR Note Added: 0008116
2007-05-26 02:00 taylor Note Added: 0008142
2007-05-26 08:28 ARSPR Note Added: 0008144
2007-05-26 14:39 taylor Status new => assigned
2007-05-26 14:39 taylor Assigned To => taylor
2007-11-15 16:09 taylor Note Added: 0008644
2007-11-16 06:15 ARSPR Note Added: 0008649
2007-11-22 05:05 taylor Status assigned => resolved
2007-11-22 05:05 taylor Fixed in Version => 3.6.10
2007-11-22 05:05 taylor Resolution open => fixed
2007-11-22 05:05 taylor Note Added: 0008683
+Issue History